## cryptsetup 1.0.7-12maemo0

=== debian/changelog ===
cryptsetup (2:1.0.7-12maemo0) unstable; urgency=low
  * Initial port for Fremantle
 -- Marcin Mielniczuk <marmistrz@linux.pl>  Mon, 24 Sep 2012 17:20:18 +0200

cryptsetup (1.0.7-12) unstable; urgency=low

  * Fixes: NB#229944 - Packages from cryptsetup are missing debug symbols

 -- Tomi Suviola <tomi.suviola@nokia.com>  Thu, 10 Mar 2010 15:05:17 +0200

cryptsetup (1.0.7-11) unstable; urgency=low

  * Fixes: NB#203239 - signond locks 16MB of RAM (whole process) 

 -- Tomi Suviola <tomi.suviola@nokia.com>  Fri, 3 Dec 2010 11:35:17 +0200

cryptsetup (1.0.7-10) unstable; urgency=low

  * Fixes: NB#188553 - cryptsetup: add autoconf to build-deps.

 -- Tomi Suviola <tomi.suviola@nokia.com>  Wed, 3 Nov 2010 14:15:17 +0200

cryptsetup (1.0.7-9) unstable; urgency=low

  * Fixed the removal of LUKS header keys functionality.

 -- Aurel Popirtac <ext-aurel.popirtac@nokia.com>  Tue, 19 Oct 2010 16:15:17 +0200

cryptsetup (1.0.7-8) unstable; urgency=low

  * C++ compatible code.

 -- Aurel Popirtac <ext-aurel.popirtac@nokia.com>  Thu, 01 Apr 2010 15:07:17 +0200

cryptsetup (1.0.7-7) unstable; urgency=low

  * Change API to enable possibility to provide key material through the API.

 -- Jussi Laako <jussi.laako@nokia.com>  Fri, 26 Feb 2010 15:07:17 +0200

cryptsetup (1.0.7-6) unstable; urgency=low

  * Fixes: 156891 - cryptsetup fails to build under the Platform SDK (SB2)

 -- Aurel Popirtac <ext-aurel.popirtac@nokia.com>  Tue, 23 Feb 2010 01:45:00 +0200

cryptsetup (1.0.7-5) unstable; urgency=low

  * Add support for hashing functions provided by OpenSSL

 -- Jussi Laako <jussi.laako@nokia.com>  Wed, 9 Dec 2009 18:15:50 +0200

cryptsetup (1.0.7-4) unstable; urgency=low

  * Added cryptsetup binary package. Feat: Will be used for creation of secure swap and specific boot scripts.

 -- Aurel Popirtac <ext-aurel.popirtac@nokia.com>  Mon, 23 Nov 2009 14:30:17 +0300

cryptsetup (1.0.7-3) unstable; urgency=low

  * Fixes: NB#143010 - cryptsetup-1.0.7 fails to build under the Platform SDK (SB2), was reopened.

 -- Aurel Popirtac <ext-aurel.popirtac@nokia.com>  Mon, 23 Nov 2009 14:30:17 +0300

cryptsetup (1.0.7-2) unstable; urgency=low

  * Initial release 

  * Fixes: NB#143010 - cryptsetup-1.0.7 fails to build under the Platform SDK (SB2).

 -- Aurel Popirtac <ext-aurel.popirtac@nokia.com>  Mon, 10 Aug 2009 14:26:17 +0300
