=== debian/control ===
Source: cryptsetup
Priority: extra
Maintainer: Marcin Mielniczuk <marmistrz@linux.pl>
XSBC-Original-Maintainer: Popirtac Vasile Aurel <ext-aurel.popirtac@nokia.com>
Build-Depends: debhelper (>= 5), autotools-dev, autoconf, automake1.9, autopoint | gettext ( << 0.18 ), pkg-config (>= 0.22), libdevicemapper0-dev (>= 2.02.50), uuid-dev, libpopt-dev (>= 1.7), libssl-dev (>= 0.9.8), maemo-optify
Standards-Version: 3.7.2
Section: libs

Package: libcryptsetup0-dev
Section: libdevel
Priority: important
Architecture: any
Depends: libcryptsetup0 (= ${Source-Version}), libpopt-dev (>= 1.7)
Replaces: cryptsetup (<< 1.0.7)
Description: Cryptsetup development package.

Package: libcryptsetup0
Section: libs
Priority: important
Architecture: any
Depends: libdevicemapper0 (>= 2.02.50), libssl0.9.8, libuuid1, libpopt0 (>= 1.7), ${shlibs:Depends}, ${misc:Depends}
Replaces: cryptsetup (<< 1.0.7)
Description: Cryptsetup library package.

Package: cryptsetup
Section: admin
Priority: important
Architecture: any
Depends: libcryptsetup0 (= ${Source-Version}), libdevicemapper0 (>= 2.02.50), libuuid1, libpopt0 (>= 1.7), ${shlibs:Depends}, ${misc:Depends}
Description: Cryptsetup binary package.

Package: libcryptsetup0-dbg
Section: debug
Priority: extra
Architecture: any
Depends: libcryptsetup0 (= ${binary:Version})
Description: Libcryptsetup0 debug symbols

Package: cryptsetup-dbg
Section: debug
Priority: extra
Architecture: any
Depends: cryptsetup (= ${binary:Version})
Description: cryptsetup debug symbols
