## cryptsetup 1.1.2

=== debian/changelog ===
cryptsetup (2:1.1.2-1ubuntu1.1) maverick-proposed; urgency=low

  * debian/initramfs/cryptroot-hook: add clearer warning, when line is not
    found in /etc/crypttab (LP: #332950)

 -- Daniel Hahler <ubuntu@thequod.de>  Tue, 12 Oct 2010 17:18:10 +0300

cryptsetup (2:1.1.2-1ubuntu1) maverick; urgency=low

  * Merge from Debian unstable (LP: #594365).  Remaining changes:
    - debian/control:
      + Bump initramfs-tools Suggests to Depends: so system is not
        potentially rendered unbootable.
      + Depend on plymouth.   
    - Add debian/cryptdisks-{enable,udev}.upstart.
    - debian/cryptdisks.functions:
      + new function, crypttab_start_one_disk, to look for the named source
        device in /etc/crypttab (by device name, UUID, or label) and start it
        if configured to do so
      + wrap the call to /lib/cryptsetup/askpass with watershed, to make sure
        we only ever have one of these running at a time; otherwise multiple
        invocations could steal each other's input and/or write over each
        other's output
      + initially create the device under a temporary name and rename it only
        at the end using 'dmsetup rename', to ensure that upstart/mountall
        doesn't see our device before it's ready to go.
      + do_tmp should mount under /var/run/cryptsetup for changing the
        permissions of the filesystem root, not directly on /tmp, since
        mounting on /tmp a) is racy, b) confuses mountall something fierce.
      + when called by cryptdisks-enable, check that we don't already have a
        corresponding cryptdisks-udev job running (probably waiting for a
        passphrase); if there is, wait until it's finished before continuing.
    - debian/cryptdisks{,-early}.init: Make the 'start' action of the init
      script a no-op, this should be handled entirely by the upstart job;
      and fix the LSB header to not declare this should be started in
      runlevel 'S'
    - debian/cryptsetup.postinst: Remove any symlinks from /etc/rcS.d on
      upgrade. 
    - debian/rules: Do not install start symlinks for init scripts, and
      install debian/cryptdisks-{enable,udev}.upstart scripts.
    - Add debian/cryptsetup.apport: Apport package hook. Install in
      debian/rules and create dir in debian/cryptsetup.dirs.
    - debian/rules: link dynamically against libgcrypt and libgpg-error.
    - debian/cryptsetup.postrm: call update-initramfs on package removal.
  * Dropped changes, merged/superseded in Debian:
    - Add ext4 support to passdev.
    - cryptroot-hook: don't call copy_modules_dir with empty arguments when
      archcrypto isn't found
    - Set USPLASH=y and FRAMEBUFFER=y in the hook config to pull plymouth into
      the initramfs.
    - change interaction to use plymouth directly if present, and if not, to
      fall back to /lib/cryptsetup/askpass as before
    - cryptdisks.functions: replace 'echo -e' bashism with 'printf'.
    - debian/initramfs/cryptroot-script: if plymouth is present in the
      initramfs, use this directly, bypassing the cryptsetup askpass script
    - debian/initramfs/cryptroot-hook: Properly anchor our regexps when
      grepping /etc/crypttab so that we don't incorrectly match device names
      that are substrings of one another.
    - debian/initramfs/cryptroot-script: Don't leak /conf/conf.d/cryptroot
      file descriptor to subprocesses.
    - Fix grammar error in debian/initramfs/cryptroot-script
      ("setup" -> "set up")
    - debian/initramfs/cryptroot-script: Fix this to work with current
      initramfs-tools:
      + Source /scripts/functions after checking for prerequisites.
      + prereqs(): Do not assume we are running within initramfs, and
        calculate relative path correctly.

 -- Steve Langasek <steve.langasek@ubuntu.com>  Mon, 14 Jun 2010 21:47:28 -0700

cryptsetup (2:1.1.2-1) unstable; urgency=low

  * new upstream release, changes include:
    - Fix luksFormat/luksOpen reading passphrase from stdin and "-" keyfile.
      (closes: #583397)
    - Add verbose log level and move unlocking message there.
    - Remove device even if underlying device disappeared (remove, luksClose).
      (closes: #554600, #574126)
    - Fix (deprecated) reload device command to accept new device argument.
  * merged from ubuntu:
    - if plymouth is present in the initramfs, use this directly, bypassing
      the cryptsetup askpass script
    - start usplash in initramfs, since we need it for fancy passphrase input
    - Set FRAMEBUFFER=y in cryptroot-conf, to pull plymouth into the initramfs
    - debian/initramfs/cryptroot-hook: Properly anchor our regexps when 
      grepping /etc/crypttab so that we don't incorrectly match device names
      that are substrings of one another.
    - debian/initramfs/cryptroot-script: Don't leak /conf/conf.d/cryptroot
      file descriptor to subprocesses.
  * sync list of supported filesystems in passdev.c and cryptpassdev-hook
  * fix debian/watch file to work with updated code.google.com download page
  * stop building and shipping static libs (closes: #583387, #583471)
  * improve documentation on (pre)checks in manpage. (closes: #583568, #583567)
  * remove xfs and ext2 check scripts documentation from crypttab manpage,
    blkid script can be used. thanks Christoph Anton Mitterer (closes: #583570)

 -- Jonas Meurer <mejo@debian.org>  Tue, 01 Jun 2010 15:37:50 +0200

cryptsetup (2:1.1.1-1) unstable; urgency=low

  * new upstream release, changes include:
    - detects and uses device-mapper udev support if available
    - fix luksOpen reading of passphrase on stdin if "-" keyfile specified
    - fix isLuks to initialise crypto backend (closes: #578979)
    - fix luksClose operation for stacked DM devices
  * remove all patches, they have all been merged upstream
  * redirect output of copy_exec in add_device() from initramfs cryptroot
    hook to stderr. fixes verbose run of mkinitramfs. (closes: #574163)

